=== debian/changelog ===
frama-c (20191204+calcium-0.1) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * New upstream release (Closes: #944365)
  * Add dependencies on libyojson-ocaml-dev and libwhy3-ocaml-dev
  * Refresh patches
  * Drop patches now upstream:
    - 0006-Fix-installation-on-bytecode-architectures.patch
    - 0007-Fix-FTBFS-with-OCaml-4.05.0.patch
  [ Gianfranco Costamagna ]
  * Drop debian/README.Debian. We don't need to repack anymore the sources,
    because embedded libraries have been removed upstream

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Mar 2020 19:14:20 +0100
