=== debian/changelog ===
frama-c (20200625+scandium-2build1) groovy; urgency=medium

  * No-change rebuild against latest lablgtk3

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 03 Oct 2020 20:38:06 -0400

frama-c (20200625+scandium-2) unstable; urgency=medium

  * Drop removal of ptests.byte from debian/rules as it is not installed
    anyway, and mark it as not installed.
  * Fix pathname in removing redundant frama-c.byte

 -- Ralf Treinen <treinen@debian.org>  Wed, 26 Aug 2020 08:39:38 +0200

frama-c (20200625+scandium-1) unstable; urgency=medium

  * New upstream release.
    This version works with why3 1.3.1 (closes: #963705)
    This version solves FTBFS (closes: #959599)
  * Add myself as uploader
  * Add dependency on ${perl:Depends} and dependency on python3
  * Build-dependencies:
    - use debhelper-compat, remove file debian/compat
    - bump versions according to upstream's opam file
    - drop ocaml-best-compilers which is now a virtual package
    - add liblablgtk{sourceview}3-ocaml-dev
  * Debhelper-compatibility level 13
    - invoke dh --without autoreconf
  * Installation:
    - install the complete directory /usr/lib/frama-c/plugins
    - install usr/lib/libeacsl-dlmalloc.a
    - install frama-c-script and frama-c-gui binaries
    - register ptests and e-acsl-gcc as not installed
  * Add symbolic link for the manpage of frama-c-gui.byte
  * d/copyright:
    - remove entries concerning files that are no longer in the source tree.
    - add text of the BSD-3 license, rename to BSD-3-clause
    - migrate to machine-readable format 1.0
    - remove copy of LGPL 2.1
  * Fix format of long description
  * Standards-Version 4.5.0
  * Update Homepage

 -- Ralf Treinen <treinen@debian.org>  Tue, 25 Aug 2020 20:37:33 +0200
