## frama-c 20201209+titanium

=== Makefile ===
--- 
+++ 
@@ -254,22 +254,25 @@
       Changelog config.h.in						\
       VERSION VERSION_CODENAME $(wildcard licenses/*)                   \
       $(LIBC_FILES)							\
+      share/analysis-scripts/analysis.mk                                \
       share/analysis-scripts/benchmark_database.py                      \
       share/analysis-scripts/cmd-dep.sh                                 \
       share/analysis-scripts/concat-csv.sh                              \
       share/analysis-scripts/clone.sh                                   \
       share/analysis-scripts/creduce.sh                                 \
-      $(wildcard share/analysis-scripts/examples/*)                     \
+      share/analysis-scripts/epilogue.mk                                \
       share/analysis-scripts/fc_stubs.c                                 \
       share/analysis-scripts/find_fun.py                                \
       share/analysis-scripts/flamegraph.pl                              \
-      share/analysis-scripts/frama-c.mk                                 \
       share/analysis-scripts/frama_c_results.py                         \
+      share/analysis-scripts/function_finder.py                         \
       share/analysis-scripts/git_utils.py                               \
       share/analysis-scripts/list_files.py                              \
       share/analysis-scripts/make_template.py                           \
       share/analysis-scripts/make_wrapper.py                            \
+      share/analysis-scripts/normalize_jcdb.py                          \
       share/analysis-scripts/parse-coverage.sh                          \
+      share/analysis-scripts/prologue.mk                                \
       share/analysis-scripts/README.md                                  \
       share/analysis-scripts/results_display.py                         \
       share/analysis-scripts/summary.py                                 \
@@ -291,6 +294,3 @@
 	  $(wildcard src/kernel_internals/runtime/*.ml*))               \
       $(wildcard src/kernel_services/abstract_interp/*.ml*)             \
       $(wildcard src/plugins/gui/*.ml*)                                 \
-      $(wildcard src/libraries/stdlib/*.ml*)                            \
-      $(wildcard src/libraries/utils/*.ml*)                             \
-      $(wildcard src/libraries/utils/*.c)                               \
