=== debian/changelog ===
frama-c (20201209+titanium-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * Fix new eva test dependencies and return in case of error (Closes:
    #982148)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Feb 2021 23:09:31 +0100

frama-c (20201209+titanium-4) unstable; urgency=medium

  * Add a test for the eva plugin
  * Test of the wp plugin: set skip-not-installable, since alt-ergo
    and why3 might be not installable.

 -- Ralf Treinen <treinen@debian.org>  Mon, 11 Jan 2021 20:17:46 +0100

frama-c (20201209+titanium-3) unstable; urgency=medium

  * Patch 0001-E-ACSL-avoid-cmx-dependencies-when-in-a-byte-only-ar.patch:
    fix FTBFS on bytecode architectures (closes: #979569).
    Thanks to André Maroneze for the patch
  * Add Recommends libwhy3-ocaml-dev, as it is needed by frama-c to run why3.
  * Test wp:
    - add test-dependency libwhy3-ocaml-dev
    - run why3 config

 -- Ralf Treinen <treinen@debian.org>  Fri, 08 Jan 2021 21:32:55 +0100

frama-c (20201209+titanium-2) unstable; urgency=medium

  * Add recommends why3 (for the wp plugin)
  * Test wp: add depends on why3

 -- Ralf Treinen <treinen@debian.org>  Sun, 03 Jan 2021 10:35:26 +0100

frama-c (20201209+titanium-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch 0004-Use-ocamlfind-package-lablgtk2-gnome.gnomecanvas as
    we are building against lablgtk3; refresh the other patches.
  * Standards-Version 4.5.1 (no change)
  * Rules-Requires-Root=no
  * Update package description (we also ship the gui)
  * Add as-installed package tests:
    - wp (deductive verification with alt-ergo)
  * gbp configuration : add filter for the executable in the spamassassin test

 -- Ralf Treinen <treinen@debian.org>  Sat, 02 Jan 2021 10:59:17 +0100
