=== debian/control ===
--- 
+++ 
@@ -18,7 +18,8 @@
  libocamlgraph-ocaml-dev (>= 1.8.8),
  liblablgtk3-ocaml-dev (>= 3.0~beta4),
  liblablgtksourceview3-ocaml-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://frama-c.com
 Vcs-Browser: https://salsa.debian.org/ocaml-team/frama-c
 Vcs-Git: https://salsa.debian.org/ocaml-team/frama-c.git
@@ -34,8 +35,8 @@
  gcc,
  python3
 Recommends:
- alt-ergo
-Description: Platform dedicated to the analysis of source code written in C (without gui)
+ alt-ergo, why3, libwhy3-ocaml-dev
+Description: Platform dedicated to the analysis of source code written in C
  Frama-C gathers several analysis techniques in a single collaborative
  framework, based on analyzers (called "plug-ins") that can build upon the
  results computed by other analyzers in the framework.
@@ -53,4 +54,4 @@
  and via ACSL (ANSI/ISO C Specification Language) properties.
  .
  This package provides the library of Frama-c which is useful to build
- plugins for Frama-c and the command-line tools.
+ plugins for Frama-c, the command-line tools, and the graphical interface.
