=== debian/rules ===
--- 
+++ 
@@ -27,11 +27,9 @@
 	$(MAKE) prefix=$(FRAMA_DIR)/usr FRAMAC_DATADIR=$(FRAMA_DIR)/usr/share/frama-c install
 	# Fix permission of .c and .h files (they don't have to be executable)
 	find debian/ -name "*.c" -or -name "*.h" -exec chmod a-x '{}' \;
-	# Remove useless binaries
-	$(RM) -f $(CURDIR)/debian/frama-c/usr/bin/ptests.byte
-	# On Bytecode architectures, bin/frama-c.byte is sam as bin/frama-c
+	# On bytecode architectures, bin/frama-c.byte is same as bin/frama-c
 ifeq ($(OCAML_OPT_ARCH),)
-	$(RM) -f $(CURDIR)/debian/frama-c/usr/bin/frama-c.byte
+	$(RM) -f $(CURDIR)/debian/tmp/usr/bin/frama-c.byte
 endif
 
 override_dh_auto_clean:
@@ -44,4 +42,4 @@
 	dh_ocaml --nodefined-map=frama-c-base:Big_int_Z,Z,Q
 
 %:
-	dh $@ --with ocaml
+	dh $@ --with ocaml --without autoreconf
