=== debian/tests/control ===
Tests: eva
Depends: frama-c-base, why3, libwhy3-ocaml-dev

Tests: wp
Depends: frama-c-base, alt-ergo (>= 2.0.0), why3, libwhy3-ocaml-dev
Restrictions: skip-not-installable
